# 39. Módosítás: egyéni színsémák beállítása a kijelölt „GeoMaps”-ekhez

Állíts be egyedi színsémákat az adatrétegekhez: "ZonesMaps", "SoilDatasets".&#x20;

További adatrétegek támogatása ("YieldDataset", "TopographyMaps", "SatelliteImages") hamarosan érkezik.

Frissítsd a "GeoMap" összes attribútumát:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    rövidNév
    teljesNév
    leírás
    osztályok
    hexSzínkódok
    url
  }
}
```

{% endcode %}

Csak a "GeoMap" színsémáinak frissítése:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    rövidNév
    teljesNév
    leírás
    osztályok
    hexSzínkódok
    url
  }
}
```

{% endcode %}

**FONTOS** pontok, hogy megtanuld, hogyan használd a mutációt:

1. Attribútumok `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, és `rövidNév` kötelezőek a megfelelő "GeoMap" azonosításához a módosításhoz. Mindhárom attribútum együtt tükrözi a "GeoMap" egyediségét.
2. Vagy `soilDatasetUuid` vagy `vectorAnalysisMapUuid` attribútumot kell használni egyetlen "GeoMap" bemenethez.
3. Értéke `rövidNév` meg kell, hogy egyezzen a "GeoMap" eredetivel. Nem szerkeszthető.
4. Attribútumok `teljesNév`, `leírás`, `hexSzínkódok` szerkeszthetők a "ZonesMaps" esetén és módosíthatók. A változtatások nem lépnek érvénybe, ha az attribútum nincs megadva.
5. Attribútumok `teljesNév`, `leírás`, `osztályok`, `hexSzínkódok` szerkeszthetők a "SoilDatasets" esetén és módosíthatók. A változtatások nem lépnek érvénybe, ha az attribútum nincs megadva.
6. Tömbök `osztályok` és `hexSzínkódok`  pontosan ugyanolyan hosszúságúak kell legyenek, mint a "GeoMap" eredetije.
7. A kérésben és a válaszban szereplő "GeoMaps" tömbök hosszának meg kell egyeznie. Ha nem, néhány "GeoMap" nem lett sikeresen szerkesztve.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/39.-modositas-egyeni-szinsemak-beallitasa-a-kijelolt-geomaps-ekhez.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
